Index: /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Services.Hive.DataAccess/3.3/SQL Scripts/Prepare Hive Database.sql
===================================================================
--- /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Services.Hive.DataAccess/3.3/SQL Scripts/Prepare Hive Database.sql	(revision 6720)
+++ /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Services.Hive.DataAccess/3.3/SQL Scripts/Prepare Hive Database.sql	(revision 6721)
@@ -8,7 +8,7 @@
 
 
-ALTER TABLE [dbo].[AssignedResources]  DROP  CONSTRAINT [Job_AssignedResource]
-ALTER TABLE [dbo].[AssignedResources]  WITH CHECK ADD  CONSTRAINT [Job_AssignedResource] FOREIGN KEY([JobId])
-REFERENCES [dbo].[Job] ([JobId])
+ALTER TABLE [dbo].[AssignedResources]  DROP  CONSTRAINT [Task_AssignedResource]
+ALTER TABLE [dbo].[AssignedResources]  WITH CHECK ADD  CONSTRAINT [Task_AssignedResource] FOREIGN KEY([TaskId])
+REFERENCES [dbo].[Task] ([TaskId])
 ON UPDATE CASCADE
 ON DELETE CASCADE
@@ -21,11 +21,11 @@
 GO
 
-ALTER TABLE dbo.Job ALTER COLUMN JobId ADD ROWGUIDCOL;
-ALTER TABLE dbo.Job WITH NOCHECK ADD CONSTRAINT [DF_Job_JobId] DEFAULT (NEWSEQUENTIALID()) FOR JobId;
-GO
-
-ALTER TABLE [dbo].[StateLog]  DROP  CONSTRAINT [Job_StateLog]
-ALTER TABLE [dbo].[StateLog]  WITH CHECK ADD CONSTRAINT [Job_StateLog] FOREIGN KEY([JobId])
-REFERENCES [dbo].[Job] ([JobId])
+ALTER TABLE dbo.Task ALTER COLUMN TaskId ADD ROWGUIDCOL;
+ALTER TABLE dbo.Task WITH NOCHECK ADD CONSTRAINT [DF_Task_TaskId] DEFAULT (NEWSEQUENTIALID()) FOR TaskId;
+GO
+
+ALTER TABLE [dbo].[StateLog]  DROP  CONSTRAINT [Task_StateLog]
+ALTER TABLE [dbo].[StateLog]  WITH CHECK ADD CONSTRAINT [Task_StateLog] FOREIGN KEY([TaskId])
+REFERENCES [dbo].[Task] ([TaskId])
 ON UPDATE CASCADE
 ON DELETE CASCADE
@@ -54,7 +54,7 @@
 ALTER TABLE dbo.RequiredPlugins WITH NOCHECK ADD CONSTRAINT [DF_RequiredPlugins_RequiredPluginId] DEFAULT (NEWSEQUENTIALID()) FOR RequiredPluginId;
 
-ALTER TABLE [dbo].[RequiredPlugins]  DROP  CONSTRAINT [Job_RequiredPlugin]
-ALTER TABLE [dbo].[RequiredPlugins]  WITH CHECK ADD  CONSTRAINT [Job_RequiredPlugin] FOREIGN KEY([JobId])
-REFERENCES [dbo].[Job] ([JobId])
+ALTER TABLE [dbo].[RequiredPlugins]  DROP  CONSTRAINT [Task_RequiredPlugin]
+ALTER TABLE [dbo].[RequiredPlugins]  WITH CHECK ADD  CONSTRAINT [Task_RequiredPlugin] FOREIGN KEY([TaskId])
+REFERENCES [dbo].[Task] ([TaskId])
 ON UPDATE CASCADE
 ON DELETE CASCADE
@@ -110,5 +110,5 @@
 
 /* create indices */
-CREATE INDEX Index_RequiredPlugins_JobId ON RequiredPlugins(JobId);
+CREATE INDEX Index_RequiredPlugins_TaskId ON RequiredPlugins(TaskId);
 GO
 
@@ -120,9 +120,9 @@
 CREATE VIEW [dbo].[view_FirstState]
 AS
-SELECT     sl.JobId, sl.DateTime, sl.State
+SELECT     sl.TaskId, sl.DateTime, sl.State
 FROM         dbo.StateLog AS sl INNER JOIN
-                          (SELECT     JobId, MIN(DateTime) AS DateTime
+                          (SELECT     TaskId, MIN(DateTime) AS DateTime
                             FROM          dbo.StateLog
-                            GROUP BY JobId) AS minDate ON sl.DateTime = minDate.DateTime AND sl.JobId = minDate.JobId
+                            GROUP BY TaskId) AS minDate ON sl.DateTime = minDate.DateTime AND sl.TaskId = minDate.TaskId
 
 GO
@@ -134,9 +134,9 @@
 CREATE VIEW [dbo].[view_LastState]
 AS
-SELECT     sl.JobId, sl.DateTime, sl.State
+SELECT     sl.TaskId, sl.DateTime, sl.State
 FROM         dbo.StateLog AS sl INNER JOIN
-                          (SELECT     JobId, MAX(DateTime) AS DateTime
+                          (SELECT     TaskId, MAX(DateTime) AS DateTime
                             FROM          dbo.StateLog
-                            GROUP BY JobId) AS minDate ON sl.DateTime = minDate.DateTime AND sl.JobId = minDate.JobId
+                            GROUP BY TaskId) AS minDate ON sl.DateTime = minDate.DateTime AND sl.TaskId = minDate.TaskId
 GO
 
@@ -176,5 +176,5 @@
 CREATE TRIGGER [dbo].[tr_HiveExperimentDeleteCascade] ON [dbo].[HiveExperiment] INSTEAD OF DELETE AS 
 BEGIN
-	DELETE Job FROM deleted, Job WHERE deleted.HiveExperimentId = Job.HiveExperimentId
+	DELETE Task FROM deleted, Task WHERE deleted.HiveExperimentId = Task.HiveExperimentId
 	DELETE HiveExperiment FROM deleted, HiveExperiment WHERE deleted.HiveExperimentId = HiveExperiment.HiveExperimentId
 END
@@ -186,5 +186,5 @@
 -- Description:	Recursively deletes all child-jobs of a job when it is deleted. (Source: http://devio.wordpress.com/2008/05/23/recursive-delete-in-sql-server/)
 -- =============================================
-CREATE TRIGGER [dbo].[tr_JobDeleteCascade] ON [dbo].[Job] INSTEAD OF DELETE AS 
+CREATE TRIGGER [dbo].[tr_JobDeleteCascade] ON [dbo].[Task] INSTEAD OF DELETE AS 
 BEGIN
 	-- add statistics
@@ -202,31 +202,31 @@
 	WHERE 
 		he.HiveExperimentId = j.HiveExperimentId AND 
-		fs.JobId = j.JobId AND 
-		ls.JobId = j.JobId
+		fs.TaskId = j.TaskId AND 
+		ls.TaskId = j.TaskId
 	GROUP BY he.OwnerUserId
 
 	-- recursively delete jobs
 	CREATE TABLE #Table( 
-		JobId uniqueidentifier 
+		TaskId uniqueidentifier 
 	)
-	INSERT INTO #Table (JobId)
-	SELECT JobId FROM deleted
+	INSERT INTO #Table (TaskId)
+	SELECT TaskId FROM deleted
 	
 	DECLARE @c INT
 	SET @c = 0
 	
-	WHILE @c <> (SELECT COUNT(JobId) FROM #Table) BEGIN
-		SELECT @c = COUNT(JobId) FROM #Table
+	WHILE @c <> (SELECT COUNT(TaskId) FROM #Table) BEGIN
+		SELECT @c = COUNT(TaskId) FROM #Table
 		
-		INSERT INTO #Table (JobId)
-			SELECT Job.JobId
-			FROM Job
-			LEFT OUTER JOIN #Table ON Job.JobId = #Table.JobId
-			WHERE Job.ParentJobId IN (SELECT JobId FROM #Table)
-				AND #Table.JobId IS NULL
+		INSERT INTO #Table (TaskId)
+			SELECT Task.TaskId
+			FROM Task
+			LEFT OUTER JOIN #Table ON Task.TaskId = #Table.TaskId
+			WHERE Task.ParentTaskId IN (SELECT TaskId FROM #Table)
+				AND #Table.TaskId IS NULL
 	END
 	
-	DELETE JobData FROM JobData INNER JOIN #Table ON JobData.JobId = #Table.JobId
-	DELETE Job FROM Job INNER JOIN #Table ON Job.JobId = #Table.JobId
+	DELETE TaskData FROM TaskData INNER JOIN #Table ON TaskData.TaskId = #Table.TaskId
+	DELETE Task FROM Task INNER JOIN #Table ON Task.TaskId = #Table.TaskId
 END
 GO
@@ -235,7 +235,7 @@
 -- Author:		cneumuel
 -- Create date: 17.05.2011
--- Description:	Writes the execution times of deleted jobs into DeletedJobStats to ensure correct statistics
--- =============================================
---CREATE TRIGGER [dbo].[tr_DeletedJobStats] ON [dbo].[Job] AFTER DELETE AS
+-- Description:	Writes the execution times of deleted Tasks into DeletedJobStats to ensure correct statistics
+-- =============================================
+--CREATE TRIGGER [dbo].[tr_DeletedJobStats] ON [dbo].[Task] AFTER DELETE AS
 --BEGIN
 
Index: /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Services.Hive.DataAccess/3.3/SQL Scripts/Query Jobs.sql
===================================================================
--- /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Services.Hive.DataAccess/3.3/SQL Scripts/Query Jobs.sql	(revision 6720)
+++ /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Services.Hive.DataAccess/3.3/SQL Scripts/Query Jobs.sql	(revision 6721)
@@ -1,5 +1,5 @@
 /****** Script for SelectTopNRows command from SSMS  ******/
-SELECT j.[JobId]
-      ,j.[JobState]
+SELECT j.[TaskId]
+      ,j.[TaskState]
       ,j.[ExecutionTimeMs]/1000/60/60 AS ExecutionTimeHours
       ,DATALENGTH(jd.data)/1024.0/1024.0 AS MB
@@ -13,18 +13,18 @@
       ,j.[IsPrivileged]
       ,j.[Command]
-      ,j.[IsParentJob]   
+      ,j.[IsParentTask]   
       ,j.[FinishWhenChildJobsFinished]
-      ,j.[ParentJobId]
+      ,j.[ParentTaskId]
       , he.HiveExperimentId
   FROM 
-	[HeuristicLab.Hive-3.3].[dbo].[Job] j
+	[HeuristicLab.Hive-3.3].[dbo].[Task] j
 	,[HeuristicLab.Hive-3.3].[dbo].[HiveExperiment] he
 	,[HeuristicLab.Authentication].dbo.aspnet_Users u
-	,[HeuristicLab.Hive-3.3].dbo.JobData jd
+	,[HeuristicLab.Hive-3.3].dbo.TaskData jd
   WHERE
 	j.HiveExperimentId = he.HiveExperimentId
-	AND j.JobId = jd.JobId
+	AND j.TaskId = jd.TaskId
 	AND he.OwnerUserId = u.UserId
 	--AND he.DateCreated > '06-03-2011 10:30'
 	
-ORDER BY j.JobState, he.DateCreated DESC
+ORDER BY j.TaskState, he.DateCreated DESC
Index: /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Services.Hive.Tests/DaoTests.cs
===================================================================
--- /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Services.Hive.Tests/DaoTests.cs	(revision 6720)
+++ /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Services.Hive.Tests/DaoTests.cs	(revision 6721)
@@ -51,12 +51,12 @@
       he.Id = dao.AddHiveExperiment(he);
 
-      DT.Job job1 = new DT.Job();
-      job1.State = DT.JobState.Offline;
-      job1.StateLog.Add(new DT.StateLog { State = DT.JobState.Offline, DateTime = DateTime.Now });
+      DT.Task job1 = new DT.Task();
+      job1.State = DT.TaskState.Offline;
+      job1.StateLog.Add(new DT.StateLog { State = DT.TaskState.Offline, DateTime = DateTime.Now });
       job1.Command = DT.Command.Pause;
       job1.HiveExperimentId = he.Id;
       job1.IsPrivileged = true;
 
-      DT.JobData jobData1 = new DT.JobData();
+      DT.TaskData jobData1 = new DT.TaskData();
       jobData1.Data = new byte[] { 0, 1, 2, 3, 4, 5 };
       jobData1.LastUpdate = DateTime.Now;
@@ -81,8 +81,8 @@
 
       job1.Id = dao.AddJob(job1);
-      jobData1.JobId = job1.Id;
+      jobData1.TaskId = job1.Id;
       dao.AddJobData(jobData1);
 
-      DT.Job job1loaded = dao.GetJob(job1.Id);
+      DT.Task job1loaded = dao.GetJob(job1.Id);
       Assert.AreEqual(job1.Id, job1loaded.Id);
       Assert.AreEqual(job1.CoresNeeded, job1loaded.CoresNeeded);
@@ -96,5 +96,5 @@
       Assert.IsTrue(Math.Abs((job1loaded.LastJobDataUpdate - jobData1.LastUpdate).TotalSeconds) < 1);
       for (int i = 0; i < job1.StateLog.Count; i++) {
-        Assert.AreEqual(job1.Id, job1loaded.StateLog[i].JobId);
+        Assert.AreEqual(job1.Id, job1loaded.StateLog[i].TaskId);
         Assert.AreEqual(job1.StateLog[i].State, job1loaded.StateLog[i].State);
         Assert.AreEqual(job1.StateLog[i].SlaveId, job1loaded.StateLog[i].SlaveId);
@@ -107,13 +107,13 @@
 
       // test jobstates
-      job1.StateLog.Add(new DT.StateLog { State = DT.JobState.Transferring, DateTime = DateTime.Now }); Thread.Sleep(10);
-      job1.StateLog.Add(new DT.StateLog { State = DT.JobState.Calculating, DateTime = DateTime.Now }); Thread.Sleep(10);
-      job1.StateLog.Add(new DT.StateLog { State = DT.JobState.Transferring, DateTime = DateTime.Now }); Thread.Sleep(10);
-      job1.StateLog.Add(new DT.StateLog { State = DT.JobState.Finished, DateTime = DateTime.Now }); Thread.Sleep(10);
+      job1.StateLog.Add(new DT.StateLog { State = DT.TaskState.Transferring, DateTime = DateTime.Now }); Thread.Sleep(10);
+      job1.StateLog.Add(new DT.StateLog { State = DT.TaskState.Calculating, DateTime = DateTime.Now }); Thread.Sleep(10);
+      job1.StateLog.Add(new DT.StateLog { State = DT.TaskState.Transferring, DateTime = DateTime.Now }); Thread.Sleep(10);
+      job1.StateLog.Add(new DT.StateLog { State = DT.TaskState.Finished, DateTime = DateTime.Now }); Thread.Sleep(10);
       dao.UpdateJob(job1);
 
       job1loaded = dao.GetJob(job1.Id);
       for (int i = 0; i < job1.StateLog.Count; i++) {
-        Assert.AreEqual(job1.Id, job1loaded.StateLog[i].JobId);
+        Assert.AreEqual(job1.Id, job1loaded.StateLog[i].TaskId);
         Assert.AreEqual(job1.StateLog[i].State, job1loaded.StateLog[i].State);
         Assert.AreEqual(job1.StateLog[i].SlaveId, job1loaded.StateLog[i].SlaveId);
@@ -123,6 +123,6 @@
       }
 
-      DT.JobData jobData1Loaded = dao.GetJobData(job1.Id);
-      Assert.AreEqual(jobData1.JobId, jobData1Loaded.JobId);
+      DT.TaskData jobData1Loaded = dao.GetJobData(job1.Id);
+      Assert.AreEqual(jobData1.TaskId, jobData1Loaded.TaskId);
       Assert.IsTrue(Math.Abs((jobData1.LastUpdate - jobData1Loaded.LastUpdate).TotalSeconds) < 1);
       Assert.IsTrue(jobData1.Data.SequenceEqual(jobData1Loaded.Data));
@@ -222,7 +222,7 @@
       he.Id = dao.AddHiveExperiment(he);
 
-      DT.Job job = new DT.Job();
-      job.State = DT.JobState.Offline;
-      job.StateLog.Add(new DT.StateLog { State = DT.JobState.Offline, DateTime = DateTime.Now });
+      DT.Task job = new DT.Task();
+      job.State = DT.TaskState.Offline;
+      job.StateLog.Add(new DT.StateLog { State = DT.TaskState.Offline, DateTime = DateTime.Now });
       job.HiveExperimentId = he.Id;
       job.Id = dao.AddJob(job);
@@ -242,5 +242,5 @@
       //Assert.AreEqual(he.DateCreated, heLoaded.DateCreated);
 
-      DT.Job jobLoaded = dao.GetJob(job.Id);
+      DT.Task jobLoaded = dao.GetJob(job.Id);
       Assert.AreEqual(job.Id, jobLoaded.Id);
       Assert.AreEqual(job.State, jobLoaded.State);
Index: /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Services.Hive.Tests/Mocks/MockUserManager.cs
===================================================================
--- /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Services.Hive.Tests/Mocks/MockUserManager.cs	(revision 6720)
+++ /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Services.Hive.Tests/Mocks/MockUserManager.cs	(revision 6721)
@@ -1,3 +1,24 @@
-﻿using System;
+﻿#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2011 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+using System;
 using System.Web.Security;
 
@@ -16,5 +37,5 @@
       get { return null; /* todo */ }
     }
-    
+
     public MembershipUser GetUserByName(string username) {
       return null; // todo
Index: /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Services.Hive.Tests/ServiceTests.cs
===================================================================
--- /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Services.Hive.Tests/ServiceTests.cs	(revision 6720)
+++ /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Services.Hive.Tests/ServiceTests.cs	(revision 6721)
@@ -52,9 +52,9 @@
 
       // create job
-      DT.Job job = new DT.Job() { CoresNeeded = 1, MemoryNeeded = 0, Priority = 0 };
-      job.State = DT.JobState.Offline;
-      job.StateLog.Add(new DT.StateLog { State = DT.JobState.Offline, DateTime = DateTime.Now });
-
-      DT.JobData jobData = new DT.JobData() {
+      DT.Task job = new DT.Task() { CoresNeeded = 1, MemoryNeeded = 0, Priority = 0 };
+      job.State = DT.TaskState.Offline;
+      job.StateLog.Add(new DT.StateLog { State = DT.TaskState.Offline, DateTime = DateTime.Now });
+
+      DT.TaskData jobData = new DT.TaskData() {
         //Data = PersistenceUtil.Serialize(new MockJob(500, true))
         Data = new byte[10000]
@@ -105,15 +105,15 @@
 
       // test job
-      DT.Job jobLoaded = service.GetJob(job.Id);
+      DT.Task jobLoaded = service.GetJob(job.Id);
       Assert.AreEqual(job.Id, jobLoaded.Id);
       Assert.AreEqual(job.CoresNeeded, jobLoaded.CoresNeeded);
       Assert.AreEqual(job.MemoryNeeded, jobLoaded.MemoryNeeded);
       Assert.AreEqual(job.Priority, jobLoaded.Priority);
-      Assert.AreEqual(DT.JobState.Waiting, jobLoaded.State);
+      Assert.AreEqual(DT.TaskState.Waiting, jobLoaded.State);
       Assert.IsTrue(job.PluginsNeededIds.SequenceEqual(jobLoaded.PluginsNeededIds));
       Assert.AreEqual(job.HiveExperimentId, jobLoaded.HiveExperimentId);
 
-      DT.JobData jobDataLoaded = service.GetJobData(job.Id);
-      Assert.AreEqual(job.Id, jobDataLoaded.JobId);
+      DT.TaskData jobDataLoaded = service.GetJobData(job.Id);
+      Assert.AreEqual(job.Id, jobDataLoaded.TaskId);
       Assert.IsTrue(jobData.Data.SequenceEqual(jobDataLoaded.Data));
 
@@ -128,11 +128,11 @@
       Assert.AreEqual(1, actions.Count);
       Assert.AreEqual(MessageContainer.MessageType.CalculateJob, actions[0].Message);
-      Assert.AreEqual(job.Id, actions[0].JobId);
+      Assert.AreEqual(job.Id, actions[0].TaskId);
 
       jobLoaded = service.GetJob(job.Id);
-      Assert.AreEqual(JobState.Transferring, jobLoaded.State);
+      Assert.AreEqual(TaskState.Transferring, jobLoaded.State);
 
       // slave is responsible for updating state to 'Calculating'
-      service.UpdateJobState(jobLoaded.Id, DT.JobState.Calculating, slave.Id, null, null);
+      service.UpdateJobState(jobLoaded.Id, DT.TaskState.Calculating, slave.Id, null, null);
 
       // send progress
@@ -144,5 +144,5 @@
       // the job should be in state 'Calculating' now
       jobLoaded = service.GetJob(job.Id);
-      Assert.AreEqual(JobState.Calculating, jobLoaded.State);
+      Assert.AreEqual(TaskState.Calculating, jobLoaded.State);
       Assert.AreEqual(new TimeSpan(1, 5, 10, 20, 30), jobLoaded.ExecutionTime);
 
@@ -153,5 +153,5 @@
 
       // set it to finished
-      service.UpdateJobState(jobLoaded.Id, DT.JobState.Finished, slave.Id, null, null);
+      service.UpdateJobState(jobLoaded.Id, DT.TaskState.Finished, slave.Id, null, null);
 
       // test if the job is returned for the resource (it should not be)
@@ -160,5 +160,5 @@
 
       // set job waiting again
-      service.UpdateJobState(job.Id, DT.JobState.Waiting, null, null, string.Empty);
+      service.UpdateJobState(job.Id, DT.TaskState.Waiting, null, null, string.Empty);
 
       // get job again
@@ -166,5 +166,5 @@
       Assert.AreEqual(1, actions.Count);
       Assert.AreEqual(MessageContainer.MessageType.CalculateJob, actions[0].Message);
-      Assert.AreEqual(job.Id, actions[0].JobId);
+      Assert.AreEqual(job.Id, actions[0].TaskId);
 
       // create downtime which should make slave unavailable for calculation
@@ -176,5 +176,5 @@
       Assert.AreEqual(1, actions.Count);
       Assert.AreEqual(MessageContainer.MessageType.PauseAll, actions[0].Message);
-      Assert.AreEqual(Guid.Empty, actions[0].JobId);
+      Assert.AreEqual(Guid.Empty, actions[0].TaskId);
 
       service.DeleteDowntime(downtimeId);
@@ -190,5 +190,5 @@
       Assert.AreEqual(1, actions.Count);
       Assert.AreEqual(MessageContainer.MessageType.AbortJob, actions[0].Message);
-      Assert.AreEqual(job.Id, actions[0].JobId);
+      Assert.AreEqual(job.Id, actions[0].TaskId);
 
       // delete slave
@@ -204,5 +204,5 @@
 
       // create parent job
-      DT.Job parentJob = new DT.Job() {
+      DT.Task parentJob = new DT.Task() {
         CoresNeeded = 1,
         MemoryNeeded = 0,
@@ -211,19 +211,19 @@
         FinishWhenChildJobsFinished = true
       };
-      parentJob.State = DT.JobState.Offline;
-      parentJob.StateLog.Add(new DT.StateLog { State = DT.JobState.Offline, DateTime = DateTime.Now });
-
-      DT.JobData parentJobData = new DT.JobData() { Data = new byte[0] };
+      parentJob.State = DT.TaskState.Offline;
+      parentJob.StateLog.Add(new DT.StateLog { State = DT.TaskState.Offline, DateTime = DateTime.Now });
+
+      DT.TaskData parentJobData = new DT.TaskData() { Data = new byte[0] };
 
       // create child job
-      DT.Job childJob = new DT.Job() {
+      DT.Task childJob = new DT.Task() {
         CoresNeeded = 1,
         MemoryNeeded = 0,
         Priority = 0
       };
-      childJob.State = DT.JobState.Offline;
-      childJob.StateLog.Add(new DT.StateLog { State = DT.JobState.Offline, DateTime = DateTime.Now });
-
-      DT.JobData childJobData = new DT.JobData() { Data = new byte[1000] };
+      childJob.State = DT.TaskState.Offline;
+      childJob.StateLog.Add(new DT.StateLog { State = DT.TaskState.Offline, DateTime = DateTime.Now });
+
+      DT.TaskData childJobData = new DT.TaskData() { Data = new byte[1000] };
 
       // create slave
@@ -250,11 +250,11 @@
       childJob.HiveExperimentId = experiment.Id;
       childJob.Id = service.AddChildJob(parentJob.Id, childJob, childJobData);
-      childJob.ParentJobId = parentJob.Id;
+      childJob.ParentTaskId = parentJob.Id;
 
       // test child job
       var childJobLoaded = service.GetJob(childJob.Id);
-      Assert.AreEqual(childJob.ParentJobId, childJobLoaded.ParentJobId);
+      Assert.AreEqual(childJob.ParentTaskId, childJobLoaded.ParentTaskId);
       Assert.AreEqual(childJob.HiveExperimentId, childJobLoaded.HiveExperimentId);
-      Assert.AreEqual(DT.JobState.Waiting, childJobLoaded.State);
+      Assert.AreEqual(DT.TaskState.Waiting, childJobLoaded.State);
       Assert.AreEqual(false, childJobLoaded.FinishWhenChildJobsFinished);
       Assert.AreEqual(false, childJobLoaded.IsParentJob);
@@ -263,5 +263,5 @@
       var parentJobLoaded = service.GetJob(parentJob.Id);
       Assert.AreEqual(parentJob.HiveExperimentId, parentJobLoaded.HiveExperimentId);
-      Assert.AreEqual(JobState.Waiting, parentJobLoaded.State);
+      Assert.AreEqual(TaskState.Waiting, parentJobLoaded.State);
       Assert.AreEqual(true, parentJobLoaded.FinishWhenChildJobsFinished);
       Assert.AreEqual(true, parentJobLoaded.IsParentJob);
@@ -271,5 +271,5 @@
       Assert.AreEqual(1, actions.Count); // only the child job should be assigned
       Assert.AreEqual(MessageContainer.MessageType.CalculateJob, actions[0].Message);
-      Assert.AreEqual(childJob.Id, actions[0].JobId);
+      Assert.AreEqual(childJob.Id, actions[0].TaskId);
 
       // lifecycle - let it process one server-heartbeat; the parent job must NOT be set to finished
@@ -277,8 +277,8 @@
 
       parentJobLoaded = service.GetJob(parentJob.Id);
-      Assert.AreEqual(JobState.Waiting, parentJobLoaded.State);
+      Assert.AreEqual(TaskState.Waiting, parentJobLoaded.State);
 
       // set child job to finished
-      childJobLoaded = service.UpdateJobState(childJobLoaded.Id, DT.JobState.Finished, slave.Id, null, null);
+      childJobLoaded = service.UpdateJobState(childJobLoaded.Id, DT.TaskState.Finished, slave.Id, null, null);
 
       // lifecycle - let it process one server-heartbeat; this should set the parent job to finished
@@ -287,5 +287,5 @@
       // test if parent job is finished
       parentJobLoaded = service.GetJob(parentJob.Id);
-      Assert.AreEqual(JobState.Finished, parentJobLoaded.State);
+      Assert.AreEqual(TaskState.Finished, parentJobLoaded.State);
 
       // delete experiment
Index: /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Services.Hive.Web/Hive-3.4/Status.aspx.cs
===================================================================
--- /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Services.Hive.Web/Hive-3.4/Status.aspx.cs	(revision 6720)
+++ /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Services.Hive.Web/Hive-3.4/Status.aspx.cs	(revision 6721)
@@ -32,5 +32,5 @@
     int currentlyAvailableCores = onlineSlaves.Sum(s => s.Cores.Value);
     int currentlyUsedCores = currentlyAvailableCores - onlineSlaves.Sum(s => s.FreeCores.Value);
-    int currentlyJobsWaiting = ServiceLocator.Instance.HiveDao.GetJobs(x => x.State == DA.JobState.Waiting).Count();
+    int currentlyJobsWaiting = ServiceLocator.Instance.HiveDao.GetJobs(x => x.State == DA.TaskState.Waiting).Count();
 
     this.availableCoresLabel.Text = currentlyAvailableCores.ToString();
